Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040SubjectPerson

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040SubjectPersonImpl

    public interface POCDMT000040SubjectPerson

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Subject Person'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Name`
- `Administrative Gender Code`
- `Birth Time`
- `Class Code`
- `Determiner Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040SubjectPerson()`

Method Summary
`CE` | `getAdministrativeGenderCode()` Returns the value of the 'Administrative Gender Code' containment reference.
`TS1` | `getBirthTime()` Returns the value of the 'Birth Time' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getDeterminerCode()` Returns the value of the 'Determiner Code' attribute.
`org.eclipse.emf.common.util.EList` | `getName()` Returns the value of the 'Name' containment reference list.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetDeterminerCode()` Returns whether the value of the '`Determiner Code`' attribute is set.
`void` | `setAdministrativeGenderCode(CE value)` Sets the value of the '`Administrative Gender Code`' containment reference.
`void` | `setBirthTime(TS1 value)` Sets the value of the '`Birth Time`' containment reference.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setDeterminerCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Determiner Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetDeterminerCode()` Unsets the value of the '`Determiner Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040SubjectPerson_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040SubjectPerson_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040SubjectPerson_TemplateId()`

### getName

    org.eclipse.emf.common.util.EList getName()

  Returns the value of the 'Name' containment reference list. The list contents are of type `PN`.

  If the meaning of the 'Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040SubjectPerson_Name()`

### getAdministrativeGenderCode

    CE getAdministrativeGenderCode()

  Returns the value of the 'Administrative Gender Code' containment reference.

  If the meaning of the 'Administrative Gender Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Administrative Gender Code' containment reference.
  See Also:
    `setAdministrativeGenderCode(CE)`, `CDAR2Package.getPOCDMT000040SubjectPerson_AdministrativeGenderCode()`

### setAdministrativeGenderCode

    void setAdministrativeGenderCode(CE value)

  Sets the value of the '`Administrative Gender Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Administrative Gender Code' containment reference.
  See Also:
    `getAdministrativeGenderCode()`

### getBirthTime

    TS1 getBirthTime()

  Returns the value of the 'Birth Time' containment reference.

  If the meaning of the 'Birth Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Birth Time' containment reference.
  See Also:
    `setBirthTime(TS1)`, `CDAR2Package.getPOCDMT000040SubjectPerson_BirthTime()`

### setBirthTime

    void setBirthTime(TS1 value)

  Sets the value of the '`Birth Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Birth Time' containment reference.
  See Also:
    `getBirthTime()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"PSN"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040SubjectPerson_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### getDeterminerCode

    org.eclipse.emf.common.util.Enumerator getDeterminerCode()

  Returns the value of the 'Determiner Code' attribute. The default value is `"INSTANCE"`.

  If the meaning of the 'Determiner Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Determiner Code' attribute.
  See Also:
    `isSetDeterminerCode()`, `unsetDeterminerCode()`, `setDeterminerCode(Enumerator)`, `CDAR2Package.getPOCDMT000040SubjectPerson_DeterminerCode()`

### setDeterminerCode

    void setDeterminerCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Determiner Code`' attribute.

  Parameters:
    `value` - the new value of the 'Determiner Code' attribute.
  See Also:
    `isSetDeterminerCode()`, `unsetDeterminerCode()`, `getDeterminerCode()`

### unsetDeterminerCode

    void unsetDeterminerCode()

  Unsets the value of the '`Determiner Code`' attribute.

  See Also:
    `isSetDeterminerCode()`, `getDeterminerCode()`, `setDeterminerCode(Enumerator)`

### isSetDeterminerCode

    boolean isSetDeterminerCode()

  Returns whether the value of the '`Determiner Code`' attribute is set.

  Returns:
    whether the value of the 'Determiner Code' attribute is set.
  See Also:
    `unsetDeterminerCode()`, `getDeterminerCode()`, `setDeterminerCode(Enumerator)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040SubjectPerson_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD